cachefilter.h File Reference
`#include <apt-pkg/pkgcache.h>`
`#include <memory>`
`#include <string>`
`#include <string_view>`
`#include <vector>`
`#include <regex.h>`
Include dependency graph for cachefilter.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Matcher
class | PackageMatcher
class | TrueMatcher
class | FalseMatcher
class | NOTMatcher
class | ANDMatcher
class | ORMatcher
class | PackageNameMatchesRegEx
class | PackageNameMatchesFnmatch
class | PackageArchitectureMatchesSpecification
class | PackageIsNewInstall

## Functions

APT_PUBLIC std::unique_ptr< APT::CacheFilter::Matcher > | ParsePattern (std::string_view pattern, pkgCacheFile *file)
| Parse a pattern, return nullptr or pattern.

## Detailed Description

Collection of functor classes